""" Copyright start
  Copyright (C) 2008 - 2025 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """

from importlib.resources import files

RMQ_PUBLISHER = None

# CHANGE EVENT TYPES (AUDITING)
PB_EVENTS = ['awaiting', 'failed', 'skipped', 'terminated', 'finished_with_error', 'active', 'finished', 'incipient']
CREATE_EVENTS = ['create', 'clone', 'version_saved', 'restore', 'ratelimited']
UPDATE_EVENTS = ['publish', 'update']
DELETE_EVENTS = ['delete', 'complete']

DEFAULT_CONFIG = {
    'config_dir': files('xfutils.config'),
    'CONFIG_FILES_PROPERTIES': [files('xfutils.config').joinpath('rabbitmq_users.conf')],
    'CONFIG_FILES_INI' : [str(files('xfutils.config').joinpath('common_config.ini'))]
}

# RMQ CONFIG
EXCHANGE_NAME = 'texchange.xfabric'
ROUTING_KEY_CHANGEEVENT = 'key.xfabric.changeevent'

KEY_SERIALIZED_REQUEST_ATTRS = 'serialized_request_attrs'

# Time to live for porter import jobs
TTL_WEEKS = 4
IGNORE_FILES = [
    '__MACOSX',
    '.DS_Store'
]
TEMP_LOC = '/tmp'

APP_CONFIG_API_KEY = 'apikey'
APP_CONFIG_API_SECRET = 'SECRET_KEY'
APP_CONFIG_API_FIXED_IV = 'FIXED_IV'

AUTHORIZATION_KEY = 'Authorization'
AUTH_TYPE_BEARER = 'Bearer'
AUTH_TYPE_API_KEY = 'ApiKey'
AUTH_TYPE_BASIC = 'Basic'

UTF8 = 'utf-8'
DATE_FORMAT_STRING = '%Y-%m-%dT%H:%M:%S.%fZ'

AUTH_CLAIM_TENANT_ID = 'tenantid'
AUTH_CLAIM_TENANT_UUID = 'tenantuuid'
AUTH_CLAIM_ACCESS_TOKEN = 'access_token'
API_KEY = 'api_key'

API_KEY_EXTRACTION_FAILED = "Failed to extract tenant id from api key: {} with error : {}"

AUTH_VERIFY_TOKEN = 'https://{auth_host}/api/auth/token/verify/'
