""" Copyright start
  Copyright (C) 2008 - 2025 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
import json
from django.core.management.base import BaseCommand
from django.conf import settings
from connectors.models import Configuration
from xfutils.passwordModule import manage_password

class Command(BaseCommand):
    help = 'Creates an SMTP Configuration object in the database, or updates its latest configuration if it already exists'

    def handle(self, *args, **options):
        try:
            smtp_config = settings.ALL_CONFIG.get('default_connectors_config', "smtp", dict())
            if isinstance(smtp_config, str):
                smtp_config = json.loads(smtp_config)
            decrypted_password = manage_password(smtp_config.get('config',{}).get('password'),"decrypt")
            smtp_config["config"]["password"] = decrypted_password
            Configuration.objects.update_or_create(config_id=smtp_config["config_id"],defaults= smtp_config)
        except Exception as e:
            return self.stdout.write(self.style.ERROR('Error: Failed to update SMTP config: %s' % str(e)))
        return self.stdout.write(self.style.SUCCESS('Successfully updated SMTP config'))
