""" Copyright start
  Copyright (C) 2008 - 2025 Fortinet Inc.
  All rights reserved.
  FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
  Copyright end """
# Generated by Django 4.2.15 on 2025-02-03 09:29

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        # 1. Create the table
        migrations.RunSQL(
            sql="""
                CREATE TABLE integrations_cache (
                    cache_key character varying(255) NOT NULL,
                    value text NOT NULL,
                    expires timestamp with time zone NOT NULL
                );
            """,
            reverse_sql="DROP TABLE integrations_cache;"
        ),
        # 2. Add the primary key constraint
        migrations.RunSQL(
            sql="""
                ALTER TABLE ONLY integrations_cache
                    ADD CONSTRAINT integrations_cache_pkey PRIMARY KEY (cache_key);
            """,
            reverse_sql="""
                ALTER TABLE integrations_cache
                    DROP CONSTRAINT integrations_cache_pkey;
            """
        ),
        # 3. Create the index on the expires column
        migrations.RunSQL(
            sql="""
                CREATE INDEX integrations_cache_expires ON integrations_cache USING btree (expires);
            """,
            reverse_sql="DROP INDEX integrations_cache_expires;"
        ),
    ]
