#!/bin/bash
# Copyright start
# Copyright (C) 2008 - 2025 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end

    # Get the Pod name and namespace
POD_NAME=$(hostname)
NAMESPACE=$(cat /var/run/secrets/kubernetes.io/serviceaccount/namespace)

    # Get the API server URL from the environment variable
K8S_API_SERVER="https://kubernetes.default.svc"

    # Get the token for authentication
TOKEN=$(cat /var/run/secrets/kubernetes.io/serviceaccount/token)

    # Function to check if Celery is running
check_celery_status() {
    CELERY_STATUS=$(curl -s --header "Authorization: Bearer $TOKEN" \
    --insecure \
    "$K8S_API_SERVER/api/v1/namespaces/$NAMESPACE/pods/$POD_NAME" | \
        jq -r '.status.containerStatuses[] | select(.name == "workflow-execenv-workflow") | .state')
    
        echo "$CELERY_STATUS" | grep "terminated"
}
    # Loop to continuously check Celery status
while ! check_celery_status; do
    sleep 5
done
exit 0